/**
 * create by robot 
 * date Thu Sep 12 16:16:36 CST 2019 
 */ 

$(document).ready(function(){
	//form表单样式
	layui.use(['layer', 'form'], function() {
		var layer = layui.layer,
			form = layui.form;
		form.render();
	});
	//li 切换事件
	$(".nav-tabs>li").click(function() {
		var index = $(".nav-tabs>li").index(this);
		$(this).addClass("active").siblings("li").removeClass("active");
		
	})
	//弹出一个提示层
	$('.fa-save').on('click', function() {
		saveMerchantDevice();
	});

	//绑定标签栏事件
	$(document).on('click','.nav-tabs li',function(){

		var action =$(this).data('action');
		 switch (action) {
			case "base"://基本资料
				goBase();
				break;  
			case "functions"://多功能
				goFunctions();
				break;
			case "extends"://扩展    
				goExtends();         
				break;           
		 }
	})

	//加载第一个标签
	$('.nav-tabs li').eq(0).click();
	
});


//跳转基本信息 
function goBase(){
	var url=ctx+'/merchantDevice/queryMerchantDeviceBaseInfo?id='+$('#merchantDeviceId').val();
	$('.tab-content').load(url);
	              
}
//跳转多功能输入
function goFunctions(){ 
	var url=ctx+'/merchantDevice/queryMerchantDeviceFunctionsInfo?id='+$('#merchantDeviceId').val();
	$('.tab-content').load(url);  
	
}
//跳转到扩展   
function goExtends(){
	
	var url=ctx+'/merchantDevice/queryMerchantDeviceExtendsInfo?id='+$('#merchantDeviceId').val();
	$('.tab-content').load(url);          
}  
  

 
//保存
function saveMerchantDevice(){
	var isAdmin=$("#isAdmin").val();
	var merchantCode=$("#merchantCode option:selected").val();
	if(isAdmin=='1'){
		if(StringUtil.isBlank(merchantCode)){
			layer.msg('请选择商户');
			return;
		}
	}
	var name=$("#name").val();
	if(StringUtil.isBlank(name)){
		layer.msg('请输入设备名称');
		return;
	}
	var type=$("#type").val();
	if(StringUtil.isBlank(type)){
		layer.msg('请输入设备类型');
		return;
	}
	var introDesc=UM.getEditor('introDesc').getContent().trim();
	if(StringUtil.isBlank(introDesc)){
		layer.msg('请输入简介');
		return;
	}
	var status=$("#status option:selected").val();
	if(StringUtil.isBlank(status)){
		layer.msg('请选择状态');
		return;
	}
	var sn=$("#sn").val();
	if(StringUtil.isBlank(sn)){
		layer.msg('请输入设备sn');
		return;
	}
	var form=$("#data_form").serialize();
	var data_form=form+'&introDesc='+introDesc;
	$(".fa-save").attr("disabled","disabled");
	$('.fa-save').html('正在保存...')
	$.ajax({
		url:ctx+"/merchantDevice/saveMerchantDevice",
		type:"POST",
		dataType:'json',
		data:data_form,
		complete:function(){
			$(".fa-save").removeAttr("disabled");
			$('.fa-save').html('保存')
		},        
		success:function(service){ 
		
			layer.confirm('保存成功,是否前往列表？', {
				  btn: ['确认','取消'] //按钮
				}, function(){
					$('#goback span').trigger('click'); 
				}, function(){         
					layer.closeAll();
			});  
			
		}
	});  
}
 

